Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Tue, 22 Jul 2025 14:16:25 +0200

Eli Zaretskii, le mar. 22 juil. 2025 15:05:27 +0300, a ecrit:
> > Date: Mon, 21 Jul 2025 18:03:19 +0200
> > From: Samuel Thibault <[email-masked]>
> > Cc: Seb Hinderer <[email-masked]>, [email-masked],
> > 	[email-masked], [email-masked]
> > 
> > Eli Zaretskii, le lun. 21 juil. 2025 18:54:45 +0300, a ecrit:
> > > > > How come?  Screen readers should announce themselves quite prominently
> > > > > to any system,
> > > > 
> > > > Can you elaborate why you are thingking so?
> > > 
> > > Because catching screen output is not an easy feat on modern
> > > platforms.
> > 
> > It is. Cat /dev/vcs, and you have it.
> 
> When I do that on a GNU/Linux system to which I have access, I get:
> 
>    $ cat /dev/vcs
>    cat: /dev/vcs: Permission denied

Yes, screen readers have always had to be privileged somehow.

Samuel